Test2::Event::Bail(3)

NAME
Test2::Event::Bail - Bailout!

DESCRIPTION
The bailout event is generated when things go horribly wrong and you need to halt all testing in the current file.

SYNOPSIS
    use Test2::API qw/context/;
    use Test2::Event::Bail;

    my $ctx = context();
    my $event = $ctx->bail('Stuff is broken');

METHODS
Inherits from Test2::Event. Also defines:

$reason = $e->reason
    The reason for the bailout.

SOURCE
The source code repository for Test2 can be found at <https://github.com/Test-More/test-more/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <https://dev.perl.org/licenses/>

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 48:
    This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Encode.pm v?'s supported encodings are: ]

    Couldn't do =encoding UTF-8: This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Encode.pm v?'s supported encodings are: ]